Package net.sf.saxon.expr

## Interface ComparisonExpression

- All Known Implementing Classes:
    `CompareToConstant`, `CompareToIntegerConstant`, `CompareToStringConstant`, `EquivalenceComparison`, `GeneralComparison`, `GeneralComparison20`, `GeneralComparisonEE`, `ValueComparison`

      public interface ComparisonExpression

  Interface implemented by expressions that perform a comparison

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `convertsUntypedToOther()` | Determine whether untyped atomic values should be converted to the type of the other operand
    `AtomicComparer` | `getAtomicComparer()` | Get the AtomicComparer used to compare atomic values.
    `Operand` | `getLhs()` | Get the two operands of the comparison
    `Expression` | `getLhsExpression()` |
    `Operand` | `getRhs()` |
    `Expression` | `getRhsExpression()` |
    `int` | `getSingletonOperator()` | Get the primitive (singleton) operator used: one of Token.FEQ, Token.FNE, Token.FLT, Token.FGT, Token.FLE, Token.FGE

- - ### Method Detail

    - #### getAtomicComparer

          AtomicComparer getAtomicComparer()

      Get the AtomicComparer used to compare atomic values. This encapsulates any collation that is used

    - #### getSingletonOperator

          int getSingletonOperator()

      Get the primitive (singleton) operator used: one of Token.FEQ, Token.FNE, Token.FLT, Token.FGT, Token.FLE, Token.FGE

    - #### getLhs

          Operand getLhs()

      Get the two operands of the comparison

    - #### getRhs

          Operand getRhs()

    - #### getLhsExpression

          Expression getLhsExpression()

    - #### getRhsExpression

          Expression getRhsExpression()

    - #### convertsUntypedToOther

          boolean convertsUntypedToOther()

      Determine whether untyped atomic values should be converted to the type of the other operand
      Returns:
        true if untyped values should be converted to the type of the other operand, false if they should be converted to strings.